Page tree
Skip to end of metadata
Go to start of metadata

This section contains information about upgrading from previous releases of SOAPam Server to release 3.1. Read this section carefully before attempting to upgrade your current installation of SOAPam Server.

Preparing for Rollback

Upgrading to a newer release of SOAPam Server always makes changes to the VFS which are not reversible. In the event that a rollback is required, the VFS must be restored from backup as downgrading the VFS is not supported. Always backup your existing VFS before performing an upgrade. Refer to Copying or Moving the VFS for more information on backing up the VFS.

Licensing Changes

Note that SOAPam Server release 3.1 requires a multi-line license that contains the supportExpiration property. If you currently have a 19 character license key or a multi-line license that does not contain the supportExpiration property, please Submit a Support ticket and request an updated license.

Support for Third Party WebDAV Clients Discontinued

Release 3.1 introduces a VFS File Browser integrated with the SOAPam Server Control Panel. As of this release access to the VFS by third party WebDAV clients is no longer supported. SOAPam Server continues to provide a Class 1 WebDAV server which may work with third party WebDAV clients, as nothing has been done to block these clients, However, if you have problems connecting to the VFS using a third party client the workaround is to use the integrated VFS browser.

Changes to Namespace Handling

All SOAPam Server versions prior to 3.0 used default namespaces when creating XML responses. This produced XML which did not use namespace prefixes on elements in the SOAP Body payload. SOAPam Server 3.0 was changed to eliminate the use of default namespaces, which produced XML that contained namespace prefixes on all elements in the SOAP Body. Although this caused no impact for applications that processed the namespaces, applications that took advantage of the lack of namespace prefixes to forego namespace processing no longer worked. In order to resolve this incompatibility, default namespace usage has been restored in this release. This change should not impact applications that process namespaces, but will allow those that don't to continue to work.

Control Panel Browser Support

The Control Panel will work with the latest version of any of the following browsers:

  • Chrome (Mac, Windows, iOS, and Android)
  • Safari (Mac and iOS only)
  • Firefox (Mac, Windows)
  • Internet Explorer 9 or greater
  • Opera (Mac, Windows)

Support for SSL v2 & v3 Discontinued

Releases prior to 3.1.8 supported SSL v2 & v3 by default or allowed these protocols to be enabled using startup options. As of release 3.1.8, SSL v2 & v3 are no longer supported.


  • No labels


SOAPam® Server 3.1.10